> ## Documentation Index
> Fetch the complete documentation index at: https://developers.criteo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /preview/retail-media/insights/{insightId}/output

> Returns the output of an async insight



## OpenAPI

````yaml https://api.criteo.com/preview/retailmedia/open-api-specifications.json get /preview/retail-media/insights/{insightId}/output
openapi: 3.0.1
info:
  title: Criteo API
  description: Criteo API - RetailMedia
  version: Preview
servers:
  - url: https://api.criteo.com
security:
  - oauth: []
tags:
  - name: Accounts
  - name: Analytics
  - name: Audience
  - name: Balance
  - name: Campaign
  - name: Catalog
  - name: Gateway
  - name: OnSiteRecommendation
  - name: ThirdPartyAccounts
paths:
  /preview/retail-media/insights/{insightId}/output:
    get:
      tags:
        - Analytics
      summary: /preview/retail-media/insights/{insightId}/output
      description: Returns the output of an async insight
      operationId: GetInsightReportOutput
      parameters:
        - name: insightId
          in: path
          description: >-
            The ID of the asynchronous insight report. Must be a valid ID
            format.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: string
                format: binary
      security:
        - oauth:
            - RetailMedia_Analytics_Read
components:
  securitySchemes:
    oauth:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}
        authorizationCode:
          authorizationUrl: https://api.criteo.com/oauth2
          tokenUrl: https://api.criteo.com/oauth2/token
          scopes: {}

````